Bug 1792428 - Review Request: php-laminas-progressbar - Laminas Framework ProgressBar component
Summary: Review Request: php-laminas-progressbar - Laminas Framework ProgressBar compo...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792427
Blocks: 1792429
TreeView+ depends on / blocked
 
Reported: 2020-01-17 16:17 UTC by Remi Collet
Modified: 2020-01-27 10:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-27 10:50:57 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 16:17:05 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-progressbar.git/plain/php-laminas-progressbar.spec?id=dc079a3a34ba95822e6709fec4c0ddb9fa0fd4e4
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-progressbar-2.7.0-1.remi.src.rpm
Description: 
Laminas\ProgressBar is a component to create and update progress bars in
different environments. It consists of a single backend, which outputs
the progress through one of the multiple adapters. On every update, it
takes an absolute value and optionally a status message, and then calls
the adapter with some precalculated values like percentage and estimated
time left.

Documentation: https://docs.laminas.dev/laminas-progressbar/


Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-24 00:06:31 UTC

 - Last two changelog entries have the same Release number, please bump it:

Version:        2.7.0
Release:        2%{?dist}

[…]

* Tue Jan 14 2020 Remi Collet <remi@remirepo.net> - 2.7.0-2
- switch to Laminas

* Fri Oct 18 2019 Remi Collet <remi@remirepo.net> - 2.7.0-1
- update to 2.7.0 (no change)
- raise dependency on zend-stdlib >= 3.2.1


 - License ok
 - Latest version packaged
 - Builds in mock
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issue before import.

Comment 2 Gwyn Ciesla 2020-01-24 14:15:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-progressbar

Comment 3 Remi Collet 2020-01-27 10:41:38 UTC
> - Last two changelog entries have the same Release number, please bump it:

Only the "switch to Laminas" is related to this package, before the rename

All other entries are about the php-zendframework-zend-progressbar obsoleted package.

So NEVR is really different.

Comment 4 Remi Collet 2020-01-27 10:50:57 UTC
thanks

built


Note You need to log in before you can comment on or make changes to this bug.